Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SSL3_RANDOM_DATA

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_SSL3_RANDOM_DATA

public class CK_SSL3_RANDOM_DATA
extends Object

class CK_SSL3_RANDOM_DATA provides information about the random data of a client and a server in an SSL context. This class is used by both the CKM_SSL3_MASTER_KEY_DERIVE and the CKM_SSL3_KEY_AND_MAC_DERIVE mechanisms.

PKCS#11 structure:

     typedef struct CK_SSL3_RANDOM_DATA {
       CK_BYTE_PTR pClientRandom;
       CK_ULONG ulClientRandomLen;
       CK_BYTE_PTR pServerRandom;
       CK_ULONG ulServerRandomLen;
     } CK_SSL3_RANDOM_DATA;

Field Summary
`byte[]` | `pClientRandom` PKCS#11: CK_BYTE_PTR pClientRandom; CK_ULONG ulClientRandomLen;
`byte[]` | `pServerRandom` PKCS#11: CK_BYTE_PTR pServerRandom; CK_ULONG ulServerRandomLen;

Constructor Summary
`CK_SSL3_RANDOM_DATA()`

Method Summary
`String` | `toString()` Returns the string representation of CK_SSL3_RANDOM_DATA.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pClientRandom

    public byte[] pClientRandom

  PKCS#11:

         CK_BYTE_PTR pClientRandom;
         CK_ULONG ulClientRandomLen;

### pServerRandom

    public byte[] pServerRandom

  PKCS#11:

         CK_BYTE_PTR pServerRandom;
         CK_ULONG ulServerRandomLen;

Constructor Detail

### CK_SSL3_RANDOM_DATA

    public CK_SSL3_RANDOM_DATA()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_SSL3_RANDOM_DATA.

  Returns:
    the string representation of CK_SSL3_RANDOM_DATA

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.